<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_tgmsocialshareprivacy_domain_model_socialbutton'] = array(
	'ctrl' => $TCA['tx_tgmsocialshareprivacy_domain_model_socialbutton']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, name, name_fe, description_text, dummyimage, html_code, js_code, js_include_methode',
	),
	'types' => array(
		'1' => array('showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden;;1, name, name_fe, description_text, dummyimage, html_code, js_code, js_include_methode,--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'sys_language_uid' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
			'config' => array(
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => array(
					array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
					array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
				),
			),
		),
		'l10n_parent' => array(
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('', 0),
				),
				'foreign_table' => 'tx_tgmsocialshareprivacy_domain_model_socialbutton',
				'foreign_table_where' => 'AND tx_tgmsocialshareprivacy_domain_model_socialbutton.pid=###CURRENT_PID### AND tx_tgmsocialshareprivacy_domain_model_socialbutton.sys_language_uid IN (-1,0)',
			),
		),
		'l10n_diffsource' => array(
			'config' => array(
				'type' => 'passthrough',
			),
		),
		't3ver_label' => array(
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'max' => 255,
			)
		),
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'name' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.name',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'name_fe' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.name_fe',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim,required'
            ),
        ),
        'description_text' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.description_text',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 3,
                'eval' => 'trim',
                // TODO: Make this translateable
                // 'default' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.description_text_default'
                'default' => 'This button is saving your privacy from social networks until you turn it on.',
            ),
        ),
		'dummyimage' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.dummyimage',
			'config' => array(
				'type' => 'group',
				'internal_type' => 'file',
				'uploadfolder' => 'typo3conf/ext/tgm_socialshareprivacy/Resources/Public/Uploads',
				'show_thumbs' => 1,
				'size' => 1,
				'maxitems' => 1,
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
				'disallowed' => '',
			),
		),
		'html_code' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.html_code',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'js_code' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.js_code',
			'config' => array(
				'type' => 'text',
				'cols' => 40,
				'rows' => 15,
				'eval' => 'trim'
			),
		),
		'js_include_methode' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.js_include_methode',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.js_include_methode_append', 0),
					array('LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton.js_include_methode_prepend', 1),
				),
				'size' => 1,
				'maxitems' => 1,
				'eval' => ''
			),
		),
	),
);

?>