<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$extensionName = TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase ( $_EXTKEY );

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	$_EXTKEY,
	'Main',
	'Teamgeist Social Share Privacy'
);
$pluginSignature = strtolower ( $extensionName ) . '_main';
$TCA ['tt_content'] ['types'] ['list'] ['subtypes_addlist'] [$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/Flexform/main_flexform.xml');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Teamgeist Social Share Privacy');

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_tgmsocialshareprivacy_domain_model_socialbutton', 'EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_csh_tx_tgmsocialshareprivacy_domain_model_socialbutton.xlf');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_tgmsocialshareprivacy_domain_model_socialbutton');
$TCA['tx_tgmsocialshareprivacy_domain_model_socialbutton'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:tgm_socialshareprivacy/Resources/Private/Language/locallang_db.xlf:tx_tgmsocialshareprivacy_domain_model_socialbutton',
		'label' => 'name',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,

		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'name,dummyimage,html_code,js_code,js_include_methode,',
		'dynamicConfigFile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Configuration/TCA/SocialButton.php',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_tgmsocialshareprivacy_domain_model_socialbutton.gif'
	),
);

?>